Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.som.training.basic.neighborhood
Class NeighborhoodRBF1D

    java.lang.Object
      org.encog.neural.som.training.basic.neighborhood.NeighborhoodRBF1D

All Implemented Interfaces:
  NeighborhoodFunction

    public class NeighborhoodRBF1D

extends Object
implements NeighborhoodFunction

A neighborhood function based on an RBF function.

Author:
  jheaton

Constructor Summary
`NeighborhoodRBF1D(RadialBasisFunction radial)` Construct the neighborhood function with the specified radial function.
`NeighborhoodRBF1D(RBFEnum type)` Construct a 1d neighborhood function.

Method Summary
`double` | `function(int currentNeuron, int bestNeuron)` Determine how much the current neuron should be affected by training based on its proximity to the winning neuron.
`double` | `getRadius()`
`void` | `setRadius(double radius)` Set the radius.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NeighborhoodRBF1D

    public NeighborhoodRBF1D(RadialBasisFunction radial)

  Construct the neighborhood function with the specified radial function. Generally this will be a Gaussian function but any RBF should do.

  Parameters:
    `radial` - The radial basis function to use.

### NeighborhoodRBF1D

    public NeighborhoodRBF1D(RBFEnum type)

  Construct a 1d neighborhood function.

  Parameters:
    `type` - The RBF type to use.

Method Detail

### function

    public double function(int currentNeuron,
                           int bestNeuron)

  Determine how much the current neuron should be affected by training based on its proximity to the winning neuron.

  Specified by:
    `function` in interface `NeighborhoodFunction`
  Parameters:
    `currentNeuron` - THe current neuron being evaluated.
    `bestNeuron` - The winning neuron.
  Returns:
    The ratio for this neuron's adjustment.

### getRadius

    public double getRadius()

  Specified by:
    `getRadius` in interface `NeighborhoodFunction`
  Returns:
    The radius.

### setRadius

    public void setRadius(double radius)

  Set the radius.

  Specified by:
    `setRadius` in interface `NeighborhoodFunction`
  Parameters:
    `radius` - The new radius.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.